"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function defaultValidationContext(value, label) {
    return {
        value: value,
        label: label,
    };
}
exports.defaultValidationContext = defaultValidationContext;
exports.next = function () { return ({ valid: true }); };
exports.error = function (code, params) { return ({
    valid: false,
    message: {
        code: code,
        params: params,
    },
}); };
exports.stop = function () { return ({ stop: true, valid: true }); };
// export type ErrorTranslator = (error: ErrorMessage) => string;
// function defaultErrorTranslator(error: ErrorMessage) {
//   if (typeof error === "string") {
//     return error;
//   } else {
//     return error[0];
//   }
// }
//# sourceMappingURL=validation.js.map