"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var Field_1 = require("./Field");
exports.Field = Field_1.default;
var FieldObject_1 = require("./FieldObject");
exports.FieldsObject = FieldObject_1.default;
var FieldsArray_1 = require("./FieldsArray");
exports.FieldsArray = FieldsArray_1.default;
exports.getInputFieldProps = function (field) { return ({
    value: field.inputValue,
    onChange: field.onInputChange,
    error: field.errorMessage,
    onBlur: field.markAsTouched,
    disabled: field.disabled,
}); };
exports.getSwitchProps = function (field) { return ({
    checked: field.inputValue,
    onChange: field.onInputChange,
    onBlur: field.markAsTouched,
}); };
var FieldBuilder = /** @class */ (function () {
    function FieldBuilder() {
    }
    FieldBuilder.prototype.field = function (initValue, obj) {
        if (obj === void 0) { obj = {}; }
        return new Field_1.default(initValue, obj);
    };
    FieldBuilder.prototype.obj = function (fields, obj) {
        return new FieldObject_1.default(fields, obj);
    };
    FieldBuilder.prototype.array = function (initValue, obj) {
        return new FieldsArray_1.default(initValue, obj);
    };
    return FieldBuilder;
}());
exports.fb = new FieldBuilder();
__export(require("./validation"));
__export(require("./validators"));
//# sourceMappingURL=index.js.map