import { ValidationContext, ValidationObj } from "../validation";
export declare const isEmail: (code?: string | undefined) => (context: ValidationContext<string | null>) => ValidationObj;
export declare const isRequired: (code?: string | undefined) => <T>(context: ValidationContext<T>) => ValidationObj;
export declare const maxLength: (maxLength: number, code?: string | undefined) => (context: ValidationContext<string | any[]>) => ValidationObj;
export declare const isPositiveNumber: (code?: string | undefined) => (context: ValidationContext<number>) => ValidationObj;
export declare const isPostalCode: (code?: string | undefined) => (context: ValidationContext<string>) => ValidationObj;
export declare const isPhoneNumber: (code?: string | undefined) => (context: ValidationContext<string>) => ValidationObj;
